% Map probability vector phi to the SI-plane
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%      Exact numerical integration of the master     %%%%%%%%%%%%
%%%%%%%%%%%       equation in some models of stochastic        %%%%%%%%%%%%
%%%%%%%%%%%                    epidemiology                    %%%%%%%%%%%%
%%%%%%%%%%%              RIE METHOD (FIXED STEP-SIZE)          %%%%%%%%%%%%
%%%%%%%%%%%              Authors: Jenkinson/Goutsias           %%%%%%%%%%%%
%%%%%%%%%%%               Last Modified: 01/13/2012            %%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

function SIprobs = mapProbs(probVect,hyperCubeOrigin,hyperCubeExtent,s0,i0)

SIprobs = zeros(763,764);


%
% map probability to 2D S-I plane
%
count = 1;
for z2 = hyperCubeOrigin(2):hyperCubeExtent(2)
    for z1 = hyperCubeOrigin(1):hyperCubeExtent(1)
        if probVect(count)>0
            SIprobs(1+s0-z1,1+i0+z1-z2) = SIprobs(1+s0-z1,1+i0+z1-z2)...
                     +probVect(count);
        end
        count=count+1;
    end
end