% Calculate propensities
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%      Exact numerical integration of the master     %%%%%%%%%%%%
%%%%%%%%%%%       equation in some models of stochastic        %%%%%%%%%%%%
%%%%%%%%%%%                    epidemiology                    %%%%%%%%%%%%
%%%%%%%%%%%              RIE METHOD (FIXED STEP-SIZE)          %%%%%%%%%%%%
%%%%%%%%%%%              Authors: Jenkinson/Goutsias           %%%%%%%%%%%%
%%%%%%%%%%%               Last Modified: 01/13/2012            %%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

function alpha = propensity(z1,z2,k1,k2,s0,i0)

alpha(1) = k1*(i0+z1-z2)*(s0-z1);
alpha(2) = k2*(i0+z1-z2);